Calseta is under active development. APIs and features may change. We welcome feedback and contributions on GitHub.
cURL
curl --request POST \ --url https://api.example.com/v1/detection-rules \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "source_rule_id": "<string>", "source_name": "<string>", "severity": "<string>", "is_active": true, "mitre_tactics": [ "<string>" ], "mitre_techniques": [ "<string>" ], "mitre_subtechniques": [ "<string>" ], "data_sources": [ "<string>" ], "run_frequency": "<string>", "created_by": "<string>", "documentation": "<string>" } '
{ "data": { "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "source_rule_id": "<string>", "source_name": "<string>", "severity": "<string>", "is_active": true, "mitre_tactics": [ "<string>" ], "mitre_techniques": [ "<string>" ], "mitre_subtechniques": [ "<string>" ], "data_sources": [ "<string>" ], "run_frequency": "<string>", "created_by": "<string>", "documentation": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "meta": {} }
1 - 500
Successful Response
Show child attributes